Bug 1852530 - [v2v][VM import from RHV to CNV] 2 nics are mapped to a new network though second was mapped to pod.
Summary: [v2v][VM import from RHV to CNV] 2 nics are mapped to a new network though se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Tomas Jelinek
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1852473
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-30 16:10 UTC by Filip Krepinsky
Modified: 2020-11-05 12:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Nics which had the same nic profile could not be imported successfully or wrong network would be chosen. Fix: The UI forces users to select the same network(which is not pod network ) for such nics
Clone Of: 1852473
Environment:
Last Closed: 2020-11-05 12:46:54 UTC
Target Upstream Version:
istein: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5885 0 None closed [release-4.5.z] Bug 1852530: kubevirt - fix importing VMs with same vnicIDs for ovirt provider 2020-11-01 11:29:58 UTC
Red Hat Product Errata RHBA-2020:4325 0 None None None 2020-11-05 12:47:18 UTC

Comment 1 Yaacov Zamir 2020-07-01 12:50:22 UTC
moving to medium - "high-impact issues in which the customer's operation is disrupted, but there is some capacity to produce."

urgent implies "catastrophic issues which severely impact the mission-critical operations of an organization", as the v2v in the UI is a new feature we can't consider it mission-critical yet.

Comment 2 Filip Krepinsky 2020-07-09 11:07:07 UTC
This has to stay 4.5.0 for the ci to pass - then we can move it to 4.5.z

Comment 3 Filip Krepinsky 2020-07-09 11:17:37 UTC
my bad, we have to wait until 4.5.z opens

Comment 4 Tomas Jelinek 2020-07-10 05:42:29 UTC
patch ready, just waiting for 4.5.z to open to be merged.

Comment 5 Ilanit Stein 2020-08-13 06:13:06 UTC
Tomas,

Can this be merged already or is it still pending 4.5.z to open?
Our PSI based CNV-2.4.1 deployments we have currently OCP-4.5.5.

Comment 6 Filip Krepinsky 2020-08-13 07:00:42 UTC
@Ilanit 

https://bugzilla.redhat.com/show_bug.cgi?id=1852473 needs to be verified first, for CI to allow merging this

Comment 7 Ilanit Stein 2020-08-17 18:00:00 UTC
@Filip,

Thanks.
We haven't started the OCP-4.6/CNV-2.5 testing yet.

Comment 10 Ilanit Stein 2020-10-30 15:17:02 UTC
Verified on OCP-4.5.z latest from Oct 30 2020.

Both VM networks can be mapped only to  ovn-kubernetes1, bridge.
VM import ended successfully.

Comment 12 errata-xmlrpc 2020-11-05 12:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4325


Note You need to log in before you can comment on or make changes to this bug.